XEVIE(__libmansuffix__)

NAME
Xevie - X Event Interception Extension (XEvIE)

SYNTAX
#include <X11/extensions/Xevie.h>

Status XevieQueryVersion (Display *dpy,
	int *major_versionp,
	int *minor_versionp);

Status XevieStart     (Display *dpy);

Status XevieSelectInput     (Display *dpy,
	long event_mask);

Status XevieSendEvent (
    (Display *dpy,
    XEvent *event,
    char   *fIdataType);

Status XevieEnd     (Display *dpy);

ARGUMENTS

display
    Specifies the connection to the X server.

event_mask
    Specifies the mask of events to redirect.

datatype
    XEVIE_MODIFIED or XEVIE_UNMODIFIED - whether the Xevie client has changed or synthesised this event.

DATATYPES

DESCRIPTION
X Event Interception Extension (XEvIE) is designed for users who need to intercept all the Keyboard and Mouse events. Programs can determine which events should be forwarded to other clients and modify the events if necessary.

FUNCTIONS
XevieQueryVersion The XevieQueryVersion function returns the major and minor protocol version numbers supported by the server. XevieQueryVersion returns True if success, otherwise, it returns False. XevieStart The XevieStart function requests that the X server enable the XEvIE extension. Once XEvIE is successfully enabled, all the XevieSelectInput specified events will be sent to the client which has enabled XEvIE. If XKB or AccessX is enabled, the events that are sent to the XEvIE clients are XKB/AccessX processed (filtered) ones. XevieSendEvent Events are sent back to the X server through XevieSendEvent. XevieEnd The XevieEnd function requests that the X server disables the XEvIE extension. Once XEvIE is disabled successfully, the X server stops sending events to the XEvIE client. XevieSelectInput The XevieSelectInput function requests that the X server reports the keyboard and pointer events associated with the specified event mask. By default, X will report KeyPress, KeyRelease, ButtonPress, ButtonRelease and MotionNotify events.

RESTRICTIONS
Xevie will remain upward compatible after the current 1.0 release.

AUTHORS
Derek Wang and Stuart Kreitman, Sun Microsystems, Inc.